Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.internal.wizards
Class MakeItHappenWizard.MakeItHappenPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectPage
                  org.eclipse.emf.ecp.makeithappen.internal.wizards.MakeItHappenWizard.MakeItHappenPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Enclosing class:
  MakeItHappenWizard

    public class MakeItHappenWizard.MakeItHappenPage

extends org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectPage

The project page for the MakeItHappenWizard.

Author:
  Lucas Koehler

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`MakeItHappenWizard.MakeItHappenPage(MakeItHappenWizard makeItHappenWizard, String pageName, String title, org.eclipse.jface.resource.ImageDescriptor titleImage)` Creates a make it happen example wizard page.

Method Summary
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` | `refresh()`
`void` | `setVisible(boolean visible)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### MakeItHappenWizard.MakeItHappenPage

    public MakeItHappenWizard.MakeItHappenPage(MakeItHappenWizard makeItHappenWizard,
                                               String pageName,
                                               String title,
                                               org.eclipse.jface.resource.ImageDescriptor titleImage)

  Creates a make it happen example wizard page.

  Parameters:
    `makeItHappenWizard` - the wizard
    `pageName` - the name of the page
    `title` - the displayed title of the page
    `titleImage` - the displayed image of the page

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectPage`

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectPage`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectPage`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.